Package io.flutter.embedding.engine.systemchannels

# Enum PlatformChannel.Brightness

java.lang.Object
java.lang.Enum<PlatformChannel.Brightness>
io.flutter.embedding.engine.systemchannels.PlatformChannel.Brightness

All Implemented Interfaces:
  `Serializable`, `Comparable<PlatformChannel.Brightness>`, `java.lang.constant.Constable`

Enclosing class:
  PlatformChannel

public static enum PlatformChannel.Brightness extends Enum<PlatformChannel.Brightness>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DARK`
  `LIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlatformChannel.Brightness`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PlatformChannel.Brightness[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIGHT

    public static final PlatformChannel.Brightness LIGHT

  - ### DARK

    public static final PlatformChannel.Brightness DARK

- ## Method Details

  - ### values

    public static PlatformChannel.Brightness[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PlatformChannel.Brightness valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null